<div class="content">
    <mat-card class="example-card">
        <mat-card-content>
            <div *ngIf="pessoas_array as pessoas else loading">
                <table
                mat-table
                [dataSource]="pessoas"
                class="mat-elevation-z8"
                style="width: 100%"
                >
                <!-- Nome Column -->
                <ng-container matColumnDef="nome">
                    <th mat-header-cell *matHeaderCellDef>Nome</th>
                    <td mat-cell *matCellDef="let p">{{ p.nome }}</td>
                </ng-container>
            
                <!-- Descricao Column -->
                <ng-container matColumnDef="email">
                    <th mat-header-cell *matHeaderCellDef>Email</th>
                    <td mat-cell *matCellDef="let p">{{ p.email }}</td>
                </ng-container>
            
                <!-- Descricao Column -->
                <ng-container matColumnDef="cpf">
                    <th mat-header-cell *matHeaderCellDef>CPF</th>
                    <td mat-cell *matCellDef="let p">{{ p.cpf }}</td>
                </ng-container>

                    <!-- Email Column -->
                    <ng-container matColumnDef="email">
                        <th mat-header-cell *matHeaderCellDef>Email</th>
                        <td mat-cell *matCellDef="let p">{{ p.email }}</td>
                    </ng-container>

                    <!-- CPF Column -->
                    <ng-container matColumnDef="cpf">
                        <th mat-header-cell *matHeaderCellDef>CPF</th>
                        <td mat-cell *matCellDef="let p">{{ p.cpf }}</td>
                    </ng-container>

                    <!-- Gênero Column -->
                    <ng-container matColumnDef="genero">
                        <th mat-header-cell *matHeaderCellDef>Gênero</th>
                        <td mat-cell *matCellDef="let p">{{ p.genero }}</td>
                    </ng-container>

                    <!-- Data Nascimento Column -->
                    <ng-container matColumnDef="dataNascimento">
                        <th mat-header-cell *matHeaderCellDef>Data de Nascimento</th>
                        <td mat-cell *matCellDef="let p">{{ p.nascimento }}</td>
                    </ng-container>

                    <!-- Action Column -->
                    <ng-container matColumnDef="acao">
                        <th mat-header-cell *matHeaderCellDef>Ação</th>
                        <td mat-cell *matCellDef="let p">
                            <button mat-icon-button color="primary" aria-label="Editar" (click)="onEdit(p.id)">
                                <mat-icon>edit</mat-icon>
                            </button>
                            <button mat-icon-button color="warn" aria-label="Remover" (click)="onDelete(p.id)">
                                <mat-icon>delete</mat-icon>
                            </button>
                        </td>
                    </ng-container>

                    <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
                    <tr mat-row *matRowDef="let row; columns: displayedColumns"></tr>
                </table>
            </div>
            <ng-template #loading>
                <h1>Carregando..</h1>
            </ng-template>

            <div style="width: 95%">
                <a routerLink="/pessoas/cadastrar" mat-fab style="float: right" color="primary">
                    <mat-icon>add</mat-icon>
                </a>
            </div>